# material.cpp File Reference

`#include "material.h"`
`#include "chunk.h"`
`#include "readwrite.h"`
`#include <stdlib.h>`
`#include <math.h>`
`#include <string.h>`
`#include "config.h"`

Include dependency graph for material.cpp:

## Defines

#define | LIB3DS_EXPORT

## Functions

Lib3dsMaterial * | lib3ds_material_new ()
void | lib3ds_material_free (Lib3dsMaterial *material)
void | lib3ds_material_dump (Lib3dsMaterial *material)
Lib3dsBool | lib3ds_material_read (Lib3dsMaterial *material, FILE *f)
Lib3dsBool | lib3ds_material_write (Lib3dsMaterial *material, FILE *f)

## Define Documentation

#define LIB3DS_EXPORT